<!-- -------------------- ./doc/content/signature-request_content.html -------------------- -->

<script src="/pub/jsint/signastuff.js"></script>

<section class="signature-request-content">
  <form id="SignReqFrm" method="post" action="<?php echo $this->URL->GetDosMethod('SignRequest2'); ?>">

    <input type="hidden" name="DID" id="DID" value="<?php echo $this->DOSINFO['did']; ?>">
    <input type="hidden" name="SIGREQTYP" id="sigreqtyp" value="">

    <h2>Envoyer les documents à signer</h2>

    <p>
      <!-- <strong>Envoyer les documents à signer, par mail, au signataire.</strong><br> -->
      <!-- Si vous voulez signer vous même ce document, envoyez le à votre adresse mail<br> -->
      Le dossier passera en état non modifiable jusqu'à la finalisation ou l'abandon du processus de signature
    </p>

        <div id="sgnrs_div_nok" class="signature-request-content__feedback fr-mb-1w" style="display: none">
          <div class="fr-alert fr-alert--success">
            <h3 class="fr-alert__title">Demande de signature effectuée</h3>
            <p>Un email vient d'être envoyé au signataire.</p>
        
            <div id="signreqdone" style="display: none">
              <a href="<?php echo $this->URL->GetDosMethod('Display'); ?>" class="fr-btn fr-btn--icon-left fr-icon-arrow-left-line fr-btn--sm">
                Retour
              </a>
            </div>
          </div>
        </div>

    <!--  
    <h3>Demandeur :</h3>

    <p>Soyez prévenu une fois la signature effectuée.</p>

    <div class="fr-input-group">
      <label for="SIGNASKR" class="fr-label">Adresse email du demandeur :</label>
      <input type="email" class="fr-input" value="<?php echo $this->ASKER; ?>" name="SIGNASKR" id="SIGNASKR">
    </div>
     -->

     <input type="hidden" value="<?php echo $this->ASKER; ?>" name="SIGNASKR" id="SIGNASKR">
    <div id="sgnrs_div_askform">
      <h3>Signataire :</h3>


      <div class="fr-input-group" id="signersRowsContainer">
        <label for="SIGNMEL" class="fr-label">Adresse email du signataire
          <span class="fr-hint-text">cela servira à l'identification de ce dernier en plus d'un code à usage unique envoyé par SMS.</span>
        </label>
        <div class="gn-input-with-right-button" style="display: grid; grid-template-columns: 3fr 1fr 1fr;">
          <input type="email" class="fr-input" value="" name="SIGNMEL[]" id="SIGNMEL" required autocomplete="off"
          <?php echo !empty($this->UCONTACTS)? 'list="user-contacts"':'' ?>
          />
          <div><!-- empty div to use a column in grid column template--></div>
          <button class="fr-btn fr-btn--sm addSignerLine" style="justify-self:end;" ><span class="fr-icon-user-add-fill fr-mr-1w" aria-hidden="true"></span> Ajouter un signataire</button>
        </div>
      </div>

        <?php if($this->UCONTACTS): ?>
        <datalist id="user-contacts">
          <?php foreach($this->UCONTACTS as $cmail => $cname): ?>
          <option value="<?php echo $cmail; ?>">
            <?php echo $cname . ' - ' . $cmail; ?>
          </option>
          <?php endforeach; ?>
        </datalist>
        <?php endif; ?>


      <div class="fr-input-group">
        <label for="SIGNCOMM" class="fr-label">Message pour le signataire:</label>
        <textarea class="fr-input" value="" name="SIGNCOMM" id="SIGNCOMM"></textarea>
      </div>

      <button class="fr-btn" type="button" onclick="<?php echo $this->FUNCSIGNREQ; ?>">Envoyer</button>
    </div>
    <div id="sgnrs_div_oki" style="display: none">
      <div>
        <p>Demande de signature effectuée, un email vient d'être envoyé au signataire !</p>
      </div>
    </div>



    <div id="sgnrs_div_err" style="display: none">
      <div>
        <p>Erreur lors de la recherche du signataire, veuillez contacter Gironde Numérique !</p>
      </div>
    </div>
  </form>
</section>

<?php if(!empty($this->ASKER)): ?>
<script>
    (function initAddRemoveSignerRow() {
        
        const template = document.getElementById("extraSignerRowTemplate");
        const sigRowParent = document.getElementById('signersRowsContainer');

        // Event delegation on container
        sigRowParent.addEventListener('click', function(e) {
          const addSignerButton = document.querySelector('.addSignerLine');

          if(e.target.classList.contains('removeSignerLine') || e.target.parentNode.classList.contains('removeSignerLine')) {
            e.preventDefault();
            
            e.target.closest('.extraSignerRow').remove();
            //on remet le bouton ajouter un signataire s'il n'y en a plus.
            if(!document.querySelector('.addSignerLine')) {
              sigRowParent.lastElementChild.querySelector('[name="SIGNMEL[]"]').parentNode.appendChild(addSignerButton);
            }
            
          }

          if (e.target.classList.contains('addSignerLine') || e.target.parentNode.classList.contains('addSignerLine')) {
            e.preventDefault();
            const newSigRowTpl = document.importNode(template.content, true);

            addSignerButton.remove(); //on supprime le bouton ajouter un signataire pour le rajouter sur la dernière ligne
            sigRowParent.appendChild(newSigRowTpl);
            sigRowParent.lastElementChild.querySelector('.gn-input-with-right-button').appendChild(addSignerButton);
            sigRowParent.lastElementChild.querySelector('[name="SIGNMEL[]"]').focus();
          }
        });
      })();
</script>

    <template id="extraSignerRowTemplate">
      <div class="extraSignerRow fr-mt-1w">
        <div class="gn-input-with-right-button" style="display: grid; grid-template-columns: 3fr 1fr 1fr;">
          <input type="email" class="fr-input" style="order:0;" value="" name="SIGNMEL[]" id="SIGNMEL" required autocomplete="off" <?php echo !empty($this->UCONTACTS)? 'list="user-contacts"':'' ?>
          />
          <button class="fr-btn fr-btn--sm removeSignerLine gn-btn--red" tabindex="-1"><span class="fr-icon-delete-fill" aria-hidden="true"></span></button>
        </div>
      </div>
    </template>
<?php endif; ?>
